#pragma once
#include "LivoxLaser.h"
#include "livox_def.h"
#include "livox_sdk.h"
#include <map>
class CLivoxMid100Laser : public CLivoxLaser
{

public:
	CLivoxMid100Laser(int id, Laser_proto::laser_parameter laser_param);
	~CLivoxMid100Laser();

    virtual bool Connect();
    virtual void Disconnect();
    virtual bool Start();
    virtual bool Stop();
    virtual eLaserStatu GetStatu();
    Error_manager execute_task(Task_Base* p_laser_task);

protected:
	virtual bool IsScanComplete();
	virtual void UpdataHandle();

protected:
	uint8_t		m_handle1;
	uint8_t		m_handle2;
	uint8_t		m_handle3;
};


